# Uses of Interface
org.eclipse.jdt.core.IClassFile

Packages that use IClassFile
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of IClassFile in org.eclipse.jdt.core

Subinterfaces of IClassFile in org.eclipse.jdt.core
Modifier and Type
Interface
Description
`interface`
`IModularClassFile`
Represents the class file of a module description ("module-info.class").
`interface`
`IOrdinaryClassFile`
Ordinary form of a `IClassFile` which holds exactly one `IType`.
Methods in org.eclipse.jdt.core that return IClassFile
Modifier and Type
Method
Description
`static IClassFile`
JavaCore.`createClassFileFrom(org.eclipse.core.resources.IFile file)`
Creates and returns a class file element for the given `.class` file.
`IClassFile[]`
IPackageFragment.`getAllClassFiles()`
Returns all of the class files in this package fragment.
`IClassFile`
IMember.`getClassFile()`
Returns the class file in which this member is declared, or `null` if this member is not declared in a class file (for example, a source type).
`IClassFile`
IPackageFragment.`getClassFile(String name)`
Returns the class file with the specified name in this package (for example, `"Object.class"`).
`IClassFile[]`
IPackageFragment.`getClassFiles()`
Deprecated.
Clients are advised to specifically use either `IPackageFragment.getOrdinaryClassFiles()` or `IPackageFragment.getAllClassFiles()` to express their intent.
Methods in org.eclipse.jdt.core with parameters of type IClassFile
Modifier and Type
Method
Description
`static IClassFileReader`
ToolFactory.`createDefaultClassFileReader(IClassFile classfile, int decodingFlag)`
Create a classfile reader onto a classfile Java element.

## Uses of IClassFile in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom with parameters of type IClassFile
Modifier and Type
Method
Description
`static CompilationUnit`
AST.`parseCompilationUnit(IClassFile classFile, boolean resolveBindings)`
Deprecated.
Use `ASTParser` instead.
`void`
ASTParser.`setSource(IClassFile source)`
Sets the source code to be parsed.

## Uses of IClassFile in org.eclipse.jdt.ui

Methods in org.eclipse.jdt.ui with parameters of type IClassFile
Modifier and Type
Method
Description
`static void`
JavaElementLabels.`getClassFileLabel(IClassFile classFile, long flags, StringBuffer buf)`
Appends the label for a class file to a `StringBuffer`.
`static void`
JavaElementLabels.`getClassFileLabel(IClassFile classFile, long flags, org.eclipse.jface.viewers.StyledString result)`
Appends the label for a class file to a `StyledString`.